.table-responsive {

}

.datatable-container {
    width: 100%;
    max-width: 100%;
    overflow-x: auto;
    overflow-y: visible;
    scrollbar-width: thin;
    scrollbar-color: #EFEFEF #fff;

    &::-webkit-scrollbar {
        height: 6px;
        background-color: #EFEFEF;
    }

    &::-webkit-scrollbar-thumb {
        cursor: pointer;
        background-color: #fff;
    }
}

.table {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
    font-size: rem(14);
    line-height: rem(21);


    th {
        font-size: 0;
        line-height: 0;
        font-weight: 500;
        background: #F7F7F7;
        padding: rem(13) rem(15);
    }

    td {
        padding: rem(13) rem(15);
        border-bottom: 1px solid #E5E5E5;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(24);
    }
}

.table-logo {
    margin: 0 auto;
    display: block;
    width: rem(50);
}

.table-header {
    font-size: rem(14);
    line-height: rem(21);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    column-gap: rem(8);

    &--center {
        justify-content: center;
    }

    &--left {
        justify-content: flex-start;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(24);
    }
}

.table-title {
    white-space: nowrap;
}


.tooltip {
    display: none;
    position: relative;

    &__toggle {
        display: block;
        font-size: 0;
        line-height: 0;
        width: rem(20);
        height: rem(20);
        flex-shrink: 0;
        cursor: pointer;
        background: url("../img/info.png") 50% 50% no-repeat;
        background-size: cover;
    }

    &__content {
        font-size: rem(14);
        line-height: rem(20);
        text-align: left;
        width: rem(280);
        background: white;
        min-width: 100%;
        padding: rem(20) rem(20);
        position: absolute;
        top: calc(100% + 4px);
        border: 1px solid #E5E5E5;
        opacity: 0;
        visibility: hidden;
    }

    &--right {

        .tooltip {

            &__content {
                left: auto !important;
                right: 0 !important;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;

        &:hover {
            z-index: 100;

            .tooltip__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}

.th-center {

    .datatable-sorter,
    .datatable-filter {
        justify-content: center;
    }
}

.th-left {

    .datatable-sorter,
    .datatable-filter {
        width: auto;
        justify-content: flex-start;
    }
}

.datatable-top {
    display: none !important;
}

.datatable-info {
    display: none !important;
}

.datatable-bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: rem(36);
}


/* PAGER */
.datatable-pagination {
    font-size: rem(16);
    line-height: rem(20);

    ul {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(12);

        li {

            &.datatable-hidden {
                visibility: hidden;
            }
        }
    }

    a,
    button {
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        background: transparent;
        color: var(--black);
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: var(--black);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    .datatable-active a,
    .datatable-active a:focus,
    .datatable-active a:hover,
    .datatable-active button,
    .datatable-active button:focus,
    .datatable-active button:hover {
        cursor: default;
        font-weight: 600;
    }

    .datatable-disabled a,
    .datatable-disabled a:focus,
    .datatable-disabled a:hover,
    .datatable-disabled button,
    .datatable-disabled button:focus,
    .datatable-disabled button:hover {
        cursor: not-allowed;
        opacity: 0.4;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(18);
        line-height: rem(20);
    }
}


